AddImage
AddImage
/zstack/v1/imagesOperation ID
AddImageSince
0.6Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe image name.
descriptionStringOptional. The detailed description of the image.
urlStringRequiredThe URL of the image to be added.
mediaTypeStringOptional. The image type.
guestOsTypeStringOptional. The operating system type of the guest VM instance that corresponds to the image.
systembooleanOptional. Whether the image is a system image, for example, vRouter image.
formatStringOptional. The image format, for example, raw.
platformStringOptional. The system platform of the image.
backupStorageUuidsListRequiredThe UUID list of the backup storages on which the image is to be added.
typeStringOptional. The reserved field for internal use.
resourceUuidStringOptional. The resource UUID. If specified, the image will use the specified value as UUID.
architectureStringOptional.
tagUuidsListOptional. The tag UUIDs.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
